version: "3.6"

services:
  bitcoind:
    environment:
      BITCOIN_EXTRA_ARGS: |
        prune=10000
        maxmempool=300
        dbcache=1000
        onlynet=onion
        proxyrandomize=1
        maxtxfee=0.1
        disablewallet=1

  btcpayserver_monero:
    environment:
      XMR_PRUNE_BLOCKCHAIN: 1
      XMR_SYNC_PRUNED_BLOCKS: 1
      XMR_MAX_CONNECTIONS_IN: 16
      XMR_MAX_CONNECTIONS_OUT: 16
      XMR_ENABLE_DNS_BLOCKLIST: 1

  btcpayserver_monero_wallet:
    environment:
      MONERO_WALLET_RPC_BIND_IP: 0.0.0.0
      MONERO_WALLET_RPC_BIND_PORT: 18083
      MONERO_WALLET_RPC_USERNAME: rpc
      MONERO_WALLET_RPC_PASSWORD: password
      MONERO_DAEMON_ADDRESS: btcpayserver_monero:18081